javax.security.auth.message.callback

## Class PrivateKeyCallback.DigestRequest

- java.lang.Object
- - javax.security.auth.message.callback.PrivateKeyCallback.DigestRequest

- All Implemented Interfaces:
    PrivateKeyCallback.Request
  Enclosing class:
    PrivateKeyCallback

      public static class PrivateKeyCallback.DigestRequest
      extends java.lang.Object
      implements PrivateKeyCallback.Request

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrivateKeyCallback.DigestRequest(byte[] digest, java.lang.String algorithm)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAlgorithm()`
    `byte[]` | `getDigest()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PrivateKeyCallback.DigestRequest

          public PrivateKeyCallback.DigestRequest(byte[] digest,
                                          java.lang.String algorithm)

  - ### Method Detail

    - #### getDigest

          public byte[] getDigest()

    - #### getAlgorithm

          public java.lang.String getAlgorithm()

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.